Last Comment Bug 669727 - nsNodeUtils.cpp:518:10: warning: variable ‘isDeepDocumentClone’ set but not used [-Wunused-but-set-variable]
: nsNodeUtils.cpp:518:10: warning: variable ‘isDeepDocumentClone’ set but not u...
Status: RESOLVED FIXED
[build_warning][inbound]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Daniel Holbert [:dholbert]
:
Mentors:
Depends on:
Blocks: buildwarning 564863
  Show dependency treegraph
 
Reported: 2011-07-06 13:10 PDT by Daniel Holbert [:dholbert]
Modified: 2011-07-08 05:51 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (remove unused variable) (1.50 KB, patch)
2011-07-06 13:14 PDT, Daniel Holbert [:dholbert]
bugs: review+
Details | Diff | Review

Description Daniel Holbert [:dholbert] 2011-07-06 13:10:13 PDT
bug 564863 removed* the last usage of PRBool isDeepDocumentClone, triggering:
{
content/base/src/nsNodeUtils.cpp:518:10: warning: variable ‘isDeepDocumentClone’ set but not used [-Wunused-but-set-variable]
}

* http://hg.mozilla.org/mozilla-central/rev/ce0bc496b725#l13.12
Comment 1 Daniel Holbert [:dholbert] 2011-07-06 13:14:03 PDT
Created attachment 544323 [details] [diff] [review]
fix (remove unused variable)
Comment 2 Jonas Sicking (:sicking) 2011-07-06 13:32:04 PDT
Comment on attachment 544323 [details] [diff] [review]
fix (remove unused variable)

This is peterv's code. Patch obviously maintains current behavior, but I'm not sure if there's a bug here that should be fixed instead.
Comment 3 Daniel Holbert [:dholbert] 2011-07-06 13:37:45 PDT
CC'ing smaug in case he has thoughts on comment 2, as he added the "isDeepDocumentClone" variable in the first place.
Comment 4 Olli Pettay [:smaug] 2011-07-07 02:12:52 PDT
Bug 514487 added a test, so things should be working ok.
Comment 5 Daniel Holbert [:dholbert] 2011-07-07 10:00:10 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/a70a94b0eb87
Comment 6 Marco Bonardo [::mak] 2011-07-08 05:51:37 PDT
http://hg.mozilla.org/mozilla-central/rev/a70a94b0eb87

Note You need to log in before you can comment on or make changes to this bug.